Skip to main content
PATCH
/
workflows
/
{id}
Update workflow
curl --request PATCH \
  --url https://api.mailrify.com/workflows/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Welcome series v2",
  "description": "Updated onboarding sequence",
  "enabled": true,
  "allowReentry": true
}
'
{
  "id": "<string>",
  "name": "<string>",
  "description": "<string>",
  "enabled": true,
  "triggerType": "EVENT",
  "triggerConfig": {},
  "allowReentry": true,
  "projectId": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

API Key authentication. Secret keys (sk_*) are required for all endpoints except /v1/track. Public keys (pk_*) only work with the /v1/track endpoint for client-side event tracking. The project is automatically derived from the key.

Path Parameters

id
string
required

Body

application/json
name
string
description
string
triggerType
enum<string>
Available options:
EVENT,
MANUAL,
SCHEDULE
triggerConfig
object
enabled
boolean
allowReentry
boolean

Response

Workflow updated

id
string
name
string
description
string | null
enabled
boolean
triggerType
enum<string>
Available options:
EVENT,
MANUAL,
SCHEDULE
triggerConfig
object
allowReentry
boolean
projectId
string
createdAt
string<date-time>
updatedAt
string<date-time>